<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>project-management</artifactId>
        <groupId>com.ningdatech</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>ningda-generator</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId>
            <version>3.5.1</version>
        </dependency>
        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
        </dependency>
        <!--Mysql数据库驱动-->
<!--        <dependency>-->
<!--            <groupId>mysql</groupId>-->
<!--            <artifactId>mysql-connector-java</artifactId>-->
<!--        </dependency>-->
        <!--KingBase-->
        <dependency>
            <groupId>com.kingbase8</groupId>
            <artifactId>kingbase8-8.2.0</artifactId>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/kingbase8-8.2.0.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.kingbase.dialect</groupId>
            <artifactId>kingbase8-8.2.0</artifactId>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/kingbase8-8.2.0.jar</systemPath>
        </dependency>
    </dependencies>
</project>
